package com.sun.jmx.remote.protocol.iiop;

import java.io.IOException;
import java.net.MalformedURLException;
import javax.management.remote.rmi.RMIConnector;
import javax.management.remote.JMXConnector;
import java.util.Map;
import javax.management.remote.JMXServiceURL;
import javax.management.remote.JMXConnectorProvider;

public class ClientProvider implements JMXConnectorProvider
{
    public ClientProvider() {
    }
    
    @Override
    public JMXConnector newJMXConnector(JMXServiceURL url, Map<String, ?> environment) throws IOException {
        if (!url.getProtocol().equals("iiop")) {
            throw new MalformedURLException("Protocol not iiop: " + url.getProtocol());
        }
        return new RMIConnector(url, environment);
    }
}
